%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/sagikazarmark/crypt
Version:                0.11.0

%gometa

%global common_description %{expand:
Store and retrieve encrypted configs from etcd or consul.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Store and retrieve encrypted configs from etcd or consul

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
tar -xzf %{SOURCE1}

%generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
